# $Revision: 1.14 $, $Date: 2002/06/30 10:21:38 $
%define		mod_name	auth_pam
%define 	apxs		/usr/sbin/apxs
Summary:	This is the PAM authentication module for Apache
Summary(es):	Este mdulo proporciona autenticacin PAM para Apache
Summary(pl):	Modu autentykacji PAM dla Apache
Summary(pt_BR):	Este mdulo prov autenticao PAM para o Apache
Name:		apache-mod_%{mod_name}
Version:	1.0a
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://pam.sourceforge.net/mod_auth_pam/dist/mod_%{mod_name}.tar.gz
Patch0:		%{name}-symbol_fix.patch
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
PreReq:		%{_sbindir}/apxs
Requires:	apache(EAPI)
URL:		http://pam.sourceforge.net/mod_auth_pam/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using PAM (pluggable authentication module).

%description -l es
Este mdulo permite autenticar clientes HTTP usando el directorio PAM.

%description -l pl
To jest modu autentykacji dla Apache pozwalajcy na autentykacj
klientw HTTP przez PAM.

%description -l pt_BR
Este mdulo permite que voc autentique clientes HTTP usando o
diretrio PAM.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch -p1

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lpam -ldl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc samples README
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_auth_pam.spec,v $
Revision 1.14  2002/06/30 10:21:38  kloczek
- cosmetics.

Revision 1.13  2002/06/30 10:13:51  marcus
- addedd documentation
- rel.4.

Revision 1.12  2002/04/25 15:45:25  arturs
fixed a small typo

Revision 1.11  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/17 21:04:26  ankry
- release 3

Revision 1.8  2002/02/17 18:52:19  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.7  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/06 08:07:57  kloczek
- release 2: merge translations from CNV.

Revision 1.5  2001/09/11 12:25:13  qboosh
- pl translations

Revision 1.4  2001/05/28 23:43:41  kloczek
- added symbol_fixa patch which allow (de)register module using apxs.

Revision 1.3  2001/05/28 22:16:57  serek
- anothersmall corrections.

Revision 1.2  2001/05/28 22:10:11  kloczek
- cosmetics.

Revision 1.1  2001/05/28 22:00:21  serek
- new & works for me.
